import { splitProps } from '../helpers.mjs';
import { createRecipe } from './create-recipe.mjs';

const closeButtonFn = /* @__PURE__ */ createRecipe('close-btn', {
  "size": "md"
}, [])

const closeButtonVariantMap = {
  "size": [
    "lg",
    "md",
    "sm"
  ]
}

const closeButtonVariantKeys = Object.keys(closeButtonVariantMap)

export const closeButton = /* @__PURE__ */ Object.assign(closeButtonFn, {
  __recipe__: true,
  __name__: 'closeButton',
  raw: (props) => props,
  variantKeys: closeButtonVariantKeys,
  variantMap: closeButtonVariantMap,
  splitVariantProps(props) {
    return splitProps(props, closeButtonVariantKeys)
  },
})